Đến nội dung


Hình ảnh

các bác giúp em về block với


  • Please log in to reply
7 replies to this topic

#1 nnt12yeu

nnt12yeu

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 15 October 2009 - 08:51 PM

chuyện là thế này.
em có 1 bản vẽ, em vẽ điện cho bản vẽ này
trong đó có 1 cái block là "cay" (cây cối ý mà)
em in bản vẽ ra thì ôi thôi cây cối nó che hết đèn đuốc của em :cry:
yeah :cry:
em phải xoá hết lũ CAY này đi
em layiso nó
và hic hic :bigsmile: cái layer của cái block này lại là WALL :bigsmile:
thế là em đành phải xoá từng cái :cry:
Các bác cho em hỏi có cách nào để mình xoá cái block đó trong 1 lệnh ko
em xin cám ơn các bác nhìu.
  • 0

#2 duonghung1210

duonghung1210

    biết lệnh offset

  • Members
  • PipPipPip
  • 175 Bài viết
Điểm đánh giá: 61 (tàm tạm)

Đã gửi 15 October 2009 - 10:00 PM

chuyện là thế này.
em có 1 bản vẽ, em vẽ điện cho bản vẽ này
trong đó có 1 cái block là "cay" (cây cối ý mà)
em in bản vẽ ra thì ôi thôi cây cối nó che hết đèn đuốc của em :cry:
yeah :cry:
em phải xoá hết lũ CAY này đi
em layiso nó
và hic hic :bigsmile: cái layer của cái block này lại là WALL :cry:
thế là em đành phải xoá từng cái :cry:
Các bác cho em hỏi có cách nào để mình xoá cái block đó trong 1 lệnh ko
em xin cám ơn các bác nhìu.

bạn đang dùng cad nào? với cad08 thì mình thường tick đúp block mở edit block definition
1- xoá toàn bộ block rồi save lại
2- đổi cho cùng layer (ví dụ: bock có layer "cay" thì đổi toàn bộ đối tượng trong edit block definition thành layer "cay" -> save => dùng layiso để xoá=> PU để thanh lọc bản vẽ. :bigsmile:
  • 1
Nhăn răng ra cười cho đời đỡ khổ!!!

#3 nnt12yeu

nnt12yeu

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 15 October 2009 - 10:21 PM

bạn đang dùng cad nào? với cad08 thì mình thường tick đúp block mở edit block definition
1- xoá toàn bộ block rồi save lại
2- đổi cho cùng layer (ví dụ: bock có layer "cay" thì đổi toàn bộ đối tượng trong edit block definition thành layer "cay" -> save => dùng layiso để xoá=> PU để thanh lọc bản vẽ. :bigsmile:

yeah
cách 1 của bác khá hay
còn cách 2 sử dụng ko duoc vì cái "cay" nó có layer là WALL nếu em đổi nó qua layer CAY hết thì cũng bằng như em erase từng cái một
Thanks bác
  • 0

#4 w1nDream

w1nDream

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 293 Bài viết
Điểm đánh giá: 73 (tàm tạm)

Đã gửi 15 October 2009 - 11:48 PM

yeah
cách 1 của bác khá hay
còn cách 2 sử dụng ko duoc vì cái "cay" nó có layer là WALL nếu em đổi nó qua layer CAY hết thì cũng bằng như em erase từng cái một
Thanks bác


Có nhiều cách lọc các block "cây" riêng ra để bạn xử lý :
1.có thể sử dụng lệnh ssx để lọc block cây.
command:ssx
chọn block "cay"
command:e
sau đó "p" để select toàn bộ block cây
và enter, thế là vĩnh biệt block "cay"
2.Dùng lệnh filter để lọc với lựa chọn là block
3.Dùng Qselect cũng chọn đối tượng lọc là block
4.Bạn có thể không cần xoá block cay mà chỉ cần đưa nó xuống nằm dưới cùng(hoặc đưa layer chứa đèn lên trên) bằng lệnh Drawoder
...
:bigsmile:
  • 0
__Tâm tựa lưu thủY__
Vi nhân nan

#5 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 16 October 2009 - 08:02 AM

Các bác cho em hỏi có cách nào để mình xoá cái block đó trong 1 lệnh ko...

Các bạn trên đã bày cách rồi, rất nhiều cách "chơi" được. Bạn thử thêm 1 cách này và so sánh hiệu quả, một đoạn lisp rất ngắn và đơn giản:


(defun C:EMB( / bn ) ;;;Erase Multi Block
(setq bn (cdr (assoc 2 (entget (car (entsel "\nChon 1 block lam mau:"))))))
(command "erase" (ssget "X" (list (cons 0 "INSERT") (cons 2 bn))) "")
)


Load lisp, gõ lệnh EMB (erase multi block), chọn 1 cái làm mẫu là nó "chơi" tất! Nếu thấy thích thì tham gia học lisp cùng anh em trên diễn đàn, bạn sẽ làm được nhiều thứ hay hơn thế rất nhiều.... Xin mời :bigsmile:
  • 0

#6 oizdoi_oi

oizdoi_oi

    biết dimlinear

  • Members
  • PipPipPipPipPip
  • 306 Bài viết
Điểm đánh giá: 452 (tốt)

Đã gửi 16 October 2009 - 11:05 AM

chuyện là thế này.
em có 1 bản vẽ, em vẽ điện cho bản vẽ này
trong đó có 1 cái block là "cay" (cây cối ý mà)
em in bản vẽ ra thì ôi thôi cây cối nó che hết đèn đuốc của em :cry:
yeah :cry:
em phải xoá hết lũ CAY này đi
em layiso nó
và hic hic :bigsmile: cái layer của cái block này lại là WALL :bigsmile:
thế là em đành phải xoá từng cái :cry:
Các bác cho em hỏi có cách nào để mình xoá cái block đó trong 1 lệnh ko
em xin cám ơn các bác nhìu.

bạn dùng lệnh FI
bạn chọn block name vd block bạn nói tên là cay thì bạn gõ cay vào
còn muốn chuẫn xác hơn thì bạn pick vào select... rồi add to list -> apply
  • 0
KTS không bao giờ chết đói...mà chỉ đói đến lúc chết!

#7 duonghung1210

duonghung1210

    biết lệnh offset

  • Members
  • PipPipPip
  • 175 Bài viết
Điểm đánh giá: 61 (tàm tạm)

Đã gửi 16 October 2009 - 09:29 PM

yeah
cách 1 của bác khá hay
còn cách 2 sử dụng ko duoc vì cái "cay" nó có layer là WALL nếu em đổi nó qua layer CAY hết thì cũng bằng như em erase từng cái một
Thanks bác

mình chưa nói rõ: với cách 2, mục đích là làm cho layer của Block cùng với layer của đối tượng tạo nên block, khi đó quản lý block bang layon, layoff, layiso... sẽ tiện hơn!
  • 0
Nhăn răng ra cười cho đời đỡ khổ!!!

#8 iznogoud

iznogoud

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 04 December 2009 - 01:21 PM

Vấn đề là: trong bv của bạn, block "cay" thuộc 2 layer wall và cay.
Giải quyết , mở block "cay" , đưa tất cả về layer 0, save và đóng lại. Lúc này block cay thuộc layer cay rồi. Layiso mà xóa tất.
Kinh ngiệm là: khi tạo block giả sử block "cay", cho các đối tượng thuộc layer 0, sau khi block được tạo ra, cho block đó vào layer "cay".
  • 0